/*
 *--- PMoveLayer.cpp --------------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 3:29 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PMoveLayer.html
 *-------------------------------------------------------------------------
 */

#include "PMoveLayer.h"
#include "PRequestBuf.h"
#include "PCommand.h"

PMoveLayer::PMoveLayer(
				const char 	* sNameFrom,
				const char 	* sNameTo)

{
	PRequestBuf request(strlen(sNameFrom) + strlen(sNameTo) + 4);
	
	request << sNameFrom
			<< sNameTo;

	PCommand command(pm_movelayer, request);
}

PMoveLayer::PMoveLayer( const char * sNameFrom )
{
	PRequestBuf request(strlen(sNameFrom) + 6);

	request << sNameFrom
			<< "";

	PCommand command(pm_movelayer, request);
}


// end of PMoveLayer.cpp
